org.apache.ignite.internal.visor.query

## Class VisorQueryTask.VisorFutureResultSetHolder<R>

- java.lang.Object
- - org.apache.ignite.internal.visor.query.VisorQueryTask.VisorFutureResultSetHolder<R>

All Implemented Interfaces:
  Serializable

Enclosing class:
  VisorQueryTask

    public static class VisorQueryTask.VisorFutureResultSetHolder<R>
    extends Object
    implements Serializable

ResultSet future holder.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorQueryTask.VisorFutureResultSetHolder(CacheQueryFuture<R> fut, R next, Boolean accessed)`

### Method Summary

Methods
`Boolean` `accessed()`
`void` `accessed(Boolean accessed)`
`CacheQueryFuture<R>` `future()`
`R` `next()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorQueryTask.VisorFutureResultSetHolder

    public VisorQueryTask.VisorFutureResultSetHolder(CacheQueryFuture<R> fut,
                                             R next,
                                             Boolean accessed)

Parameters:
  `fut` - Future.
  `next` - Next value.
  `accessed` - `true` if query was accessed before remove timeout expired.

### Method Detail

#### future

    public CacheQueryFuture<R> future()

Returns:
  Future with query results.

#### next

    public R next()

Returns:
  Next record from future.

#### accessed

    public Boolean accessed()

Returns:
  Flag indicating that this future was read from last check..

#### accessed

    public void accessed(Boolean accessed)

Parameters:
  `accessed` - New accessed.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015